Bootstrap the Code of Conduct Committee
Closed, ResolvedPublic

Description

The review of the Code of Conduct for Wikimedia technical spaces has been completed and now it is time to
bootstrap its first committee. The process is defined in https://www.mediawiki.org/wiki/Code_of_Conduct/Committee#Selection_of_new_members

Actions:

  • Enable techconductcandidates@wikimedia.org
  • Technical Collaboration team to start the search of 10 candidates (5 committee members, 5 auxiliary members).
  • A public announcement inviting interested parties to nominate themselves or recommend others.
  • Publication of a list of candidates. 2 week private feedback phase starts.
  • (Non applicable) If needed, update the list of candidates and start another review phase.
  • Identification of members to the Wikimedia Foundation, signature of confidentiality agreement, and written commitment by each member to comply with and enforce the full Code of Conduct
  • All members and auxiliary members of the Committee trained (T165563: First round of training for the Code of Conduct Committee for Wikimedia technical spaces).
  • On 2017-05-20, six weeks after the final list of candidates was published, the new committee is constituted.
Mattflaschen-WMF added a subscriber: Mattflaschen-WMF.

Per the Code of Conduct, they also need to "commit to comply with and enforce the full Code of Conduct".

I've tentatively added this to the checklist. I also recommend that the commitment be in writing. "full Code of Conduct" includes the whole Code of Conduct (everything that was approved) not just the part at https://www.mediawiki.org/wiki/Code_of_Conduct .

Qgil added a comment.Mar 9 2017, 11:39 PM

The call for candidates to form the first Code of Conduct Committee has been sent to wikitech-l, mediawiki-l, engineering, labs-l, analytics, wiki-research-l, and design. I need help to advertise it in more places.

https://www.mediawiki.org/wiki/Talk:Code_of_Conduct#Call_for_candidates_to_form_the_first_Code_of_Conduct_Committee

Qgil updated the task description. (Show Details)Mar 9 2017, 11:40 PM
Qgil added a comment.Mar 10 2017, 9:36 AM

I forwarded the call to wikitech-ambassadors hoping that it helps finding candidates or recommendations among tech volunteers in wiki projects.

I will consider the public announcement step done as soon as we have the Phabricator homepage and the MediaWiki sitenotice covered. @Aklapper @Mattflaschen-WMF can you help, or point me to who can help?

The text could simply be:

Call for candidates to form the first Code of Conduct Committee

We could run the sitenotice during... two weeks?

I will consider the public announcement step done as soon as we have the Phabricator homepage and the MediaWiki sitenotice covered.

Now if I could only make "Add existing Panel" on https://phabricator.wikimedia.org/dashboard/arrange/1/ actually list W749 so I could add it to the dashboard, that would help... Meh.

Grmpf. Created W923 and archived W749 again, that worked. Now on the Phab frontpage.

Jay8g added a subscriber: Jay8g.Mar 18 2017, 4:04 AM
Qgil updated the task description. (Show Details)Mar 23 2017, 3:12 PM

I think the announcement phase can be considered completed even without the banner. We are getting a good amount of possible candidates from different areas.

37 people have been contacted so far, from which 32 are currently potential candidates. 6 people are self-nominated, 18 have been recommended, and 13 have been invited by us. We are still reaching out to new candidates and we welcome more self-nominations and recommendations. We have started to discuss selection criteria. With our focus on diversity in mind, we are trying to cover fairly well aspects like gender, age, location, languages, affiliation, developer experience, Wikimedia experience, and areas of specialization.

Revent added a subscriber: Revent.Apr 1 2017, 12:57 PM
Qgil added a comment.EditedApr 7 2017, 10:40 PM

Candidates have just been announced:

https://www.mediawiki.org/wiki/Talk:Code_of_Conduct#Presentation_of_candidates_and_community_review

https://www.mediawiki.org/wiki/Code_of_Conduct/Committee_members

I am going to post to the mailing lists right now.

  • wikitech-l
  • mediawiki-l
  • engineering
  • labs-l
  • analytics
  • wiki-research-l
  • design
  • pywikibot
  • wikimedia-l
Qgil updated the task description. (Show Details)Apr 24 2017, 8:58 AM

Community review period completed without any feedback challenging the current list. https://www.mediawiki.org/wiki/Code_of_Conduct/Committee_members updated. Yay!

Qgil added a comment.Apr 28 2017, 12:13 PM

Yesterday there was a first meet & greet casual meeting with the participation of most Committee members-to-be, Community Health groups, and CoC promoters.

Today I have started to look into the steps required to complete the paperwork.

Qgil added a comment.May 9 2017, 8:15 AM

Alright, I am discussing the identification and the NDA with The Legal team. For the commitment to follow and enforce the CoC, please check

https://phabricator.wikimedia.org/L35 (text for review, do not sign yet please).

Qgil added a comment.May 10 2017, 10:06 AM

I have sent this email to the 5 + 5 members:

Alright, as part of the paperwork to be completed by all CoC Committee and Auxiliary members by May 20, please sign these two documents in Phabricator:

VOLUNTEER NDA

  • https://wikitech.wikimedia.org/wiki/Volunteer_NDA
  • When you create the related Phabricator task, please add me as CC (Qgil).
  • If you have signed this document already for another reason, you don't need to sign it again.

    COMMITMENT TO THE COC
  • https://phabricator.wikimedia.org/L35

    TWO IMPORTANT DETAILS
  • Your Phabricator account need to be associated to your Wikimedia account. For identification purposes, having it connected to LDAP only is not enough.
  • Wikimedia Foundation employees should sign these documents from their volunteer accounts. This reflects better their situation (as they are volunteering for this role, not taking it in a professional capacity), and it will also save problems in the case that an employee leaves the Foundation while being a Committee member (they will keep their Committee role regardless of affiliation).

    If you have questions, just ask.

I think it would be useful to keep track of who has signed what at https://www.mediawiki.org/wiki/Code_of_Conduct/Committee_members

Qgil added a comment.May 12 2017, 2:40 PM

I have started logging the status of paperwork at https://www.mediawiki.org/wiki/Code_of_Conduct/Committee_members

The official identification process hasn't started because we are polishing last details with WMF Legal to have a simple and reliable process that respects requests for privacy.

SPoore added a subscriber: SPoore.May 16 2017, 10:30 PM
Qgil added a comment.May 19 2017, 8:55 AM

Everything is ready to constitute the CoC Committee officially on May 20.

  • The five Committee members and 3 auxiliary members have completed their paperwork; the two remaining persons are expected to be done today.
  • Six people went through a first training session this week, and we will book an additional one for the remaining four people. More training will be organized for the upcoming weeks, but this will be handled from its own task.
  • Changes behind mailing list subscriptions have started, and they will be completed as soon as the Committee is constituted.
  • I have also posted a couple of suggestions in the CoC talk page, and I have archived discussions older than six months.

This transition should be completed during today. Starting tomorrow, the Code of Conduct Committee will be appointed, and Technical Collaboration will move to its role as appeals body (while keeping our current responsibilities with the Friendly Space Policy and the Phabricator Etiquette).

Qgil updated the task description. (Show Details)May 19 2017, 9:27 AM
Qgil updated the task description. (Show Details)May 19 2017, 5:33 PM
Qgil updated the task description. (Show Details)May 20 2017, 8:07 AM
Qgil closed this task as Resolved.

The bootstrapping process has been completed, and now I will announce the beginning to the new phase to the mailing lists used previously. Best wishes to the new CoC Committee members!